 /*  1. Eine Einheitsmatrix mit n Zeilen und Spalten ist zu erzeugen und
 anzuzeigen ( n einlesen, n< 40 )! Entwickeln Sie daraus eine Matrix mit
 Zufallszahlen und berechnen Sie das Produkt der Hauptdiagonalelemente!
 ---------------------------------------------------------------------------*/
#include <stdlib.h>
#define nmax 40
int main()
{ int i, j, anz;   int matrix[nmax][nmax];

  printf("\n Anzahl der Zeilen und Spalten (<=%i): ", nmax);
  scanf("%i", &anz);
  if( anz>nmax) anz=nmax;

  for( i=0; i<anz; i++)
     for( j=0; j<anz; j++) if( i==j) matrix[i][j]=1; else matrix[i][j]= 0;

  for( i=0; i<anz; i++)
  {   for( j=0; j<anz; j++) printf(" %i", matrix[i][j]);
     printf("\n");
  }
  printf("\n"); system("PAUSE");  return 0;
}
